PDPTTRSV(l)

NAME
PDPTTRSV - solve a tridiagonal triangular system of linear equations A(1:N, JA:JA+N-1) * X = B(IB:IB+N-1, 1:NRHS)

SYNOPSIS

SUBROUTINE PDPTTRSV(
    UPLO, N, NRHS, D, E, JA, DESCA, B, IB, DESCB, AF, LAF, WORK, LWORK, INFO )

CHARACTER
    UPLO

INTEGER
    IB, INFO, JA, LAF, LWORK, N, NRHS

INTEGER
    DESCA( * ), DESCB( * )

DOUBLE
    PRECISION AF( * ), B( * ), D( * ), E( * ), WORK( * )

PURPOSE
PDPTTRSV solves a tridiagonal triangular system of linear equations
                        or
                    A(1:N, JA:JA+N-1)^T * X = B(IB:IB+N-1, 1:NRHS)

where A(1:N, JA:JA+N-1) is a tridiagonal
triangular matrix factor produced by the
Cholesky factorization code PDPTTRF
and is stored in A(1:N,JA:JA+N-1) and AF.
The matrix stored in A(1:N, JA:JA+N-1) is either
upper or lower triangular according to UPLO,
and the choice of solving A(1:N, JA:JA+N-1) or A(1:N, JA:JA+N-1)^T is dictated by the user by the parameter TRANS.

Routine PDPTTRF MUST be called first.